unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,Math;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
      var x,z,y,a,b,c,s:extended;
begin
 Memo1.Clear;
 Memo1.Lines.Add('исходные данные');
 x:=Strtofloat(Edit1.Text);
  Memo1.Lines.Add('X = '+FloatTOStrF(x,fffixed,8,4));
    y:=Strtofloat(Edit2.Text);
  Memo1.Lines.Add('Y = '+FloatTOStrF(y,fffixed,8,4));
  z:=Strtofloat(Edit3.Text);
  Memo1.Lines.Add('Z = '+FloatTOStrF(z,fffixed,8,4));
  a:=sqr(sin(arctan(z)));
  b:=(x - y/2);
  c:=ln(power(y,-sqrt(abs(x))));
  s:=b*c +a;
  Memo1.Lines.Add('Результат S = '+FloatToStrF(s,fffixed,8,3));
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 Edit1.Text:='-15,246';
 Edit2.Text:='4,642E-2';
   Edit3.Text:='20,001E+2';
   Memo1.Clear;
end;

end.
